Package org.gradle.external.javadoc

## Interface MinimalJavadocOptions

- All Known Implementing Classes:
    `CoreJavadocOptions`, `StandardJavadocDocletOptions`

      public interface MinimalJavadocOptions

  Provides the core Javadoc options.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MinimalJavadocOptions` | `bootClasspath​(File... bootClasspath)` |
    `MinimalJavadocOptions` | `breakIterator()` |
    `MinimalJavadocOptions` | `breakIterator​(boolean breakIterator)` |
    `MinimalJavadocOptions` | `classpath​(File... classpath)` |
    `MinimalJavadocOptions` | `classpath​(List<File> classpath)` |
    `void` | `contributeCommandLineOptions​(ExecSpec execHandleBuilder)` |
    `MinimalJavadocOptions` | `destinationDirectory​(File directory)` |
    `MinimalJavadocOptions` | `doclet​(String docletClass)` |
    `MinimalJavadocOptions` | `docletpath​(File... docletpath)` |
    `MinimalJavadocOptions` | `encoding​(String encoding)` |
    `MinimalJavadocOptions` | `extDirs​(File... extDirs)` |
    `List<File>` | `getBootClasspath()` |
    `List<File>` | `getClasspath()` |
    `File` | `getDestinationDirectory()` |
    `String` | `getDoclet()` |
    `List<File>` | `getDocletpath()` |
    `String` | `getEncoding()` |
    `List<File>` | `getExtDirs()` |
    `String` | `getHeader()` |
    `List<String>` | `getJFlags()` |
    `String` | `getLocale()` |
    `JavadocMemberLevel` | `getMemberLevel()` |
    `List<File>` | `getModulePath()` | The --module-path.
    `List<File>` | `getOptionFiles()` |
    `JavadocOutputLevel` | `getOutputLevel()` |
    `String` | `getOverview()` |
    `String` | `getSource()` |
    `List<String>` | `getSourceNames()` |
    `String` | `getWindowTitle()` |
    `StandardJavadocDocletOptions` | `header​(String header)` |
    `boolean` | `isBreakIterator()` |
    `boolean` | `isVerbose()` |
    `MinimalJavadocOptions` | `jFlags​(String... jFlags)` |
    `MinimalJavadocOptions` | `locale​(String locale)` |
    `MinimalJavadocOptions` | `modulePath​(List<File> classpath)` | The --module-path.
    `MinimalJavadocOptions` | `optionFiles​(File... argumentFiles)` |
    `MinimalJavadocOptions` | `overview​(String overview)` |
    `MinimalJavadocOptions` | `quiet()` |
    `void` | `setBootClasspath​(List<File> bootClasspath)` |
    `void` | `setBreakIterator​(boolean breakIterator)` |
    `void` | `setClasspath​(List<File> classpath)` |
    `void` | `setDestinationDirectory​(File directory)` |
    `void` | `setDoclet​(String docletClass)` |
    `void` | `setDocletpath​(List<File> docletpath)` |
    `void` | `setEncoding​(String encoding)` |
    `void` | `setExtDirs​(List<File> extDirs)` |
    `void` | `setHeader​(String header)` |
    `void` | `setJFlags​(List<String> jFlags)` |
    `void` | `setLocale​(String locale)` |
    `void` | `setMemberLevel​(JavadocMemberLevel memberLevel)` |
    `void` | `setModulePath​(List<File> modulePath)` | The --module-path.
    `void` | `setOptionFiles​(List<File> optionFiles)` |
    `void` | `setOutputLevel​(JavadocOutputLevel outputLevel)` |
    `void` | `setOverview​(String overview)` |
    `void` | `setSource​(String source)` |
    `void` | `setSourceNames​(List<String> sourceNames)` |
    `void` | `setWindowTitle​(String windowTitle)` |
    `MinimalJavadocOptions` | `showAll()` |
    `MinimalJavadocOptions` | `showFromPackage()` |
    `MinimalJavadocOptions` | `showFromPrivate()` |
    `MinimalJavadocOptions` | `showFromProtected()` |
    `MinimalJavadocOptions` | `showFromPublic()` |
    `MinimalJavadocOptions` | `source​(String source)` |
    `MinimalJavadocOptions` | `sourceNames​(String... sourceNames)` |
    `MinimalJavadocOptions` | `verbose()` |
    `StandardJavadocDocletOptions` | `windowTitle​(String windowTitle)` |
    `void` | `write​(File outputFile)` |

- - ### Method Detail

    - #### getOverview

          @Nullable
          @Optional
          @Input
          String getOverview()

    - #### setOverview

          void setOverview​(@Nullable
                           String overview)

    - #### overview

          MinimalJavadocOptions overview​(String overview)

    - #### getMemberLevel

          @Nullable
          @Optional
          @Input
          JavadocMemberLevel getMemberLevel()

    - #### setMemberLevel

          void setMemberLevel​(@Nullable
                              JavadocMemberLevel memberLevel)

    - #### showFromPublic

          MinimalJavadocOptions showFromPublic()

    - #### showFromProtected

          MinimalJavadocOptions showFromProtected()

    - #### showFromPackage

          MinimalJavadocOptions showFromPackage()

    - #### showFromPrivate

          MinimalJavadocOptions showFromPrivate()

    - #### showAll

          MinimalJavadocOptions showAll()

    - #### getDoclet

          @Nullable
          @Optional
          @Input
          String getDoclet()

    - #### setDoclet

          void setDoclet​(@Nullable
                         String docletClass)

    - #### doclet

          MinimalJavadocOptions doclet​(String docletClass)

    - #### getDocletpath

          @Classpath
          List<File> getDocletpath()

    - #### setDocletpath

          void setDocletpath​(List<File> docletpath)

    - #### docletpath

          MinimalJavadocOptions docletpath​(File... docletpath)

    - #### getSource

          @Nullable
          @Optional
          @Input
          String getSource()

    - #### setSource

          void setSource​(@Nullable
                         String source)

    - #### source

          MinimalJavadocOptions source​(String source)

    - #### getClasspath

          @Internal
          List<File> getClasspath()

    - #### setClasspath

          void setClasspath​(List<File> classpath)

    - #### getModulePath

          @Incubating
          @Internal
          List<File> getModulePath()

      The --module-path.
      Since:
        6.4

    - #### setModulePath

          @Incubating
          void setModulePath​(List<File> modulePath)

      The --module-path.
      Since:
        6.4

    - #### modulePath

          @Incubating
          MinimalJavadocOptions modulePath​(List<File> classpath)

      The --module-path.
      Since:
        6.4

    - #### classpath

          MinimalJavadocOptions classpath​(List<File> classpath)

    - #### classpath

          MinimalJavadocOptions classpath​(File... classpath)

    - #### getBootClasspath

          @Classpath
          List<File> getBootClasspath()

    - #### setBootClasspath

          void setBootClasspath​(List<File> bootClasspath)

    - #### bootClasspath

          MinimalJavadocOptions bootClasspath​(File... bootClasspath)

    - #### getExtDirs

          @Nullable
          @Optional
          @PathSensitive(RELATIVE)
          @InputFiles
          List<File> getExtDirs()

    - #### setExtDirs

          void setExtDirs​(@Nullable
                          List<File> extDirs)

    - #### extDirs

          MinimalJavadocOptions extDirs​(File... extDirs)

    - #### getOutputLevel

          @Console
          JavadocOutputLevel getOutputLevel()

    - #### setOutputLevel

          void setOutputLevel​(JavadocOutputLevel outputLevel)

    - #### verbose

          MinimalJavadocOptions verbose()

    - #### isVerbose

          @Internal
          boolean isVerbose()

    - #### quiet

          MinimalJavadocOptions quiet()

    - #### isBreakIterator

          @Input
          boolean isBreakIterator()

    - #### setBreakIterator

          void setBreakIterator​(boolean breakIterator)

    - #### breakIterator

          MinimalJavadocOptions breakIterator​(boolean breakIterator)

    - #### breakIterator

          MinimalJavadocOptions breakIterator()

    - #### getLocale

          @Nullable
          @Optional
          @Input
          String getLocale()

    - #### setLocale

          void setLocale​(@Nullable
                         String locale)

    - #### locale

          MinimalJavadocOptions locale​(String locale)

    - #### getEncoding

          @Nullable
          @Optional
          @Input
          String getEncoding()

    - #### setEncoding

          void setEncoding​(@Nullable
                           String encoding)

    - #### encoding

          MinimalJavadocOptions encoding​(String encoding)

    - #### getJFlags

          @Nullable
          @Optional
          @Input
          List<String> getJFlags()

    - #### setJFlags

          void setJFlags​(@Nullable
                         List<String> jFlags)

    - #### jFlags

          MinimalJavadocOptions jFlags​(String... jFlags)

    - #### getOptionFiles

          @Nullable
          @Optional
          @PathSensitive(NONE)
          @InputFiles
          List<File> getOptionFiles()

    - #### setOptionFiles

          void setOptionFiles​(@Nullable
                              List<File> optionFiles)

    - #### optionFiles

          MinimalJavadocOptions optionFiles​(File... argumentFiles)

    - #### getDestinationDirectory

          @Internal
          File getDestinationDirectory()

    - #### setDestinationDirectory

          void setDestinationDirectory​(@Nullable
                                       File directory)

    - #### destinationDirectory

          MinimalJavadocOptions destinationDirectory​(File directory)

    - #### getWindowTitle

          @Nullable
          @Optional
          @Input
          String getWindowTitle()

    - #### setWindowTitle

          void setWindowTitle​(@Nullable
                              String windowTitle)

    - #### windowTitle

          StandardJavadocDocletOptions windowTitle​(String windowTitle)

    - #### getHeader

          @Nullable
          @Optional
          @Input
          String getHeader()

    - #### setHeader

          void setHeader​(@Nullable
                         String header)

    - #### header

          StandardJavadocDocletOptions header​(String header)

    - #### write

          void write​(File outputFile)
              throws IOException

      Throws:
        `IOException`

    - #### getSourceNames

          @Nullable
          @Internal
          List<String> getSourceNames()

    - #### setSourceNames

          void setSourceNames​(@Nullable
                              List<String> sourceNames)

    - #### sourceNames

          MinimalJavadocOptions sourceNames​(String... sourceNames)

    - #### contributeCommandLineOptions

          void contributeCommandLineOptions​(ExecSpec execHandleBuilder)